import { jsx } from "react/jsx-runtime";
import { GraphIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Graph = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Graph", ...props, children: /* @__PURE__ */ jsx(GraphIcon, { weight: variant }) });
  }
);
Graph.displayName = "Graph";
Object.assign(Graph, { isGdsIcon: true });
export {
  Graph
};
